Package org.apache.lucene.codecs.blocktreeords

# Class OrdsSegmentTermsEnum

java.lang.Object
org.apache.lucene.index.TermsEnum
org.apache.lucene.index.BaseTermsEnum
org.apache.lucene.codecs.blocktreeords.OrdsSegmentTermsEnum

All Implemented Interfaces:
  `BytesRefIterator`

public final class OrdsSegmentTermsEnum extends BaseTermsEnum
Iterates through terms in this field.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.lucene.index.TermsEnum

`TermsEnum.SeekStatus`

## Field Summary

### Fields inherited from class org.apache.lucene.index.TermsEnum

`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`int`
`docFreq()`
`ImpactsEnum`
`impacts(int flags)`
`BytesRef`
`next()`
`long`
`ord()`
`PostingsEnum`
`postings(PostingsEnum reuse, int flags)`
`TermsEnum.SeekStatus`
`seekCeil(BytesRef target)`
`void`
`seekExact(long targetOrd)`
`boolean`
`seekExact(BytesRef target)`
`void`
`seekExact(BytesRef target, TermState otherState)`
`BytesRef`
`term()`
`TermState`
`termState()`
`String`
`toString()`
`long`
`totalTermFreq()`

### Methods inherited from class org.apache.lucene.index.BaseTermsEnum

`attributes, prepareSeekExact`

### Methods inherited from class org.apache.lucene.index.TermsEnum

`postings`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### seekExact

public boolean seekExact(BytesRef target) throws IOException

Overrides:
  `seekExact` in class `BaseTermsEnum`
Throws:
  `IOException`

### seekCeil

public TermsEnum.SeekStatus seekCeil(BytesRef target) throws IOException

Specified by:
  `seekCeil` in class `TermsEnum`
Throws:
  `IOException`

### next

public BytesRef next() throws IOException

Throws:
  `IOException`

### term

public BytesRef term()

Specified by:
  `term` in class `TermsEnum`

### ord

public long ord()

Specified by:
  `ord` in class `TermsEnum`

### docFreq

public int docFreq() throws IOException

Specified by:
  `docFreq` in class `TermsEnum`
Throws:
  `IOException`

### totalTermFreq

public long totalTermFreq() throws IOException

Specified by:
  `totalTermFreq` in class `TermsEnum`
Throws:
  `IOException`

### postings

public PostingsEnum postings(PostingsEnum reuse, int flags) throws IOException

Specified by:
  `postings` in class `TermsEnum`
Throws:
  `IOException`

### impacts

public ImpactsEnum impacts(int flags) throws IOException

Specified by:
  `impacts` in class `TermsEnum`
Throws:
  `IOException`

### seekExact

public void seekExact(BytesRef target, TermState otherState)

Overrides:
  `seekExact` in class `BaseTermsEnum`

### termState

public TermState termState() throws IOException

Overrides:
  `termState` in class `BaseTermsEnum`
Throws:
  `IOException`

### seekExact

public void seekExact(long targetOrd) throws IOException

Specified by:
  `seekExact` in class `TermsEnum`
Throws:
  `IOException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`